> ## Documentation Index
> Fetch the complete documentation index at: https://docs.presenton.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a user theme

> Deletes a custom theme owned by the authenticated user. Default built-in themes cannot be deleted through this endpoint.



## OpenAPI

````yaml /api-reference/cloud-enterprise.json delete /api/v3/theme/delete/{theme_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.presenton.ai
security: []
paths:
  /api/v3/theme/delete/{theme_id}:
    delete:
      tags:
        - V3 Theme
      summary: Delete a user theme
      description: >-
        Deletes a custom theme owned by the authenticated user. Default built-in
        themes cannot be deleted through this endpoint.
      operationId: delete_theme_api_v3_theme_delete__theme_id__delete
      parameters:
        - name: theme_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Theme Id
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            description: Bearer JWT or API Key
            title: Authorization
          description: Bearer JWT or API Key
      responses:
        '204':
          description: Theme deleted successfully.
        '401':
          description: Authentication is required.
        '403':
          description: The theme belongs to another user.
        '404':
          description: Theme not found.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````